Apache Tomcat 7.0.42

## org.apache.catalina.ha.context
Class ReplicatedContext.MultiEnumeration<T>

    java.lang.Object
      org.apache.catalina.ha.context.ReplicatedContext.MultiEnumeration<T>

All Implemented Interfaces:
  Enumeration<T>

Enclosing class:
  ReplicatedContext

    protected static class ReplicatedContext.MultiEnumeration<T>

extends Object
implements Enumeration<T>

Constructor Summary
`ReplicatedContext.MultiEnumeration(Enumeration<T>[] lists)`

Method Summary
`boolean` `hasMoreElements()`
`T` `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReplicatedContext.MultiEnumeration

    public ReplicatedContext.MultiEnumeration(Enumeration<T>[] lists)

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `Enumeration<T>`

### nextElement

    public T nextElement()

  Specified by:
    `nextElement` in interface `Enumeration<T>`

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.